1

[alpine-aports] [PATCH] testing/libibmad: new aport

Jann - Ove Risvik
Details
Message ID
<20160709143826.7769-1-jann.ove@usaklig.com>
Sender timestamp
1468075106
DKIM signature
missing
Download raw message
Patch: +39 -0
https://openfabrics.org/index.php/openfabrics-software.html
Generic InfiniBand MAD handling library

2.nd try at packages for managing infiniband hardware. Doublechecked which of the packages actually refused to build with alpine $CHOST and $CBUILD, and worked around it a bit more elegantly than pulling in a newer config.sub
---
 testing/libibmad/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/libibmad/APKBUILD

diff --git a/testing/libibmad/APKBUILD b/testing/libibmad/APKBUILD
new file mode 100644
index 0000000..edc0b9d
--- /dev/null
+++ b/testing/libibmad/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Jann - Ove Risvik <jann.ove@usaklig.com>
+# Maintainer:
+pkgname=libibmad
+pkgver=1.3.12
+pkgrel=0
+pkgdesc="Generic InfiniBand MAD handling library"
+url="https://www.openfabrics.org/index.php/openfabrics-software.html"
+arch="x86 x86_64"
+license="GPL2 BSD"
+depends="libibumad"
+depends_dev="libibumad-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="https://www.openfabrics.org/downloads/management/$pkgname-$pkgver.tar.gz
+"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7aabf50569c4d30a9a0689fd96097e4f  libibmad-1.3.12.tar.gz"
+sha256sums="f1bfb512b5b927496bf8214da1de1972494c7e244d1a68320924b2a933f8937b  libibmad-1.3.12.tar.gz"
+sha512sums="6c17d4b5c3a3cb2b682644e29c0aff0a34bc6d25c2fe007791cf08a59094dc3d1ee07f1dae5f81860f80b75de03617b55fa7ad4f11037d40c7d920fc99273330  libibmad-1.3.12.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20160922114210.485d4433@ncopa-desktop.copa.dup.pw>
In-Reply-To
<20160709143826.7769-1-jann.ove@usaklig.com> (view parent)
Sender timestamp
1474537330
DKIM signature
missing
Download raw message
On Sat,  9 Jul 2016 16:38:26 +0200
Jann - Ove Risvik <jann.ove@usaklig.com> wrote:

> https://openfabrics.org/index.php/openfabrics-software.html
> Generic InfiniBand MAD handling library
> 
> 2.nd try at packages for managing infiniband hardware. Doublechecked which of the packages actually refused to build with alpine $CHOST and $CBUILD, and worked around it a bit more elegantly than pulling in a newer config.sub
> ---
>  testing/libibmad/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
>  1 file changed, 39 insertions(+)
>  create mode 100644 testing/libibmad/APKBUILD
> 
> diff --git a/testing/libibmad/APKBUILD b/testing/libibmad/APKBUILD
> new file mode 100644
> index 0000000..edc0b9d
> --- /dev/null
> +++ b/testing/libibmad/APKBUILD
> @@ -0,0 +1,39 @@
> +# Contributor: Jann - Ove Risvik <jann.ove@usaklig.com>
> +# Maintainer:
> +pkgname=libibmad
> +pkgver=1.3.12
> +pkgrel=0
> +pkgdesc="Generic InfiniBand MAD handling library"
> +url="https://www.openfabrics.org/index.php/openfabrics-software.html"
> +arch="x86 x86_64"
> +license="GPL2 BSD"
> +depends="libibumad"

I removed the depends (abuild will automatically add depend for
so:libibumad.so.3) and fixed the commit message.

Sorry taking time.

Thanks

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---